Update an applicant
curl --request POST \
--url https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"consumer_user_link": "<string>",
"consumer_user_skipped": true,
"payment_method": "<string>",
"payment_method_waived": true,
"pets": [
{
"age": 123,
"name": "<string>"
}
],
"pre_qualification": {
"affordability": {
"company_name": "<string>",
"gross_annual_salary": 123,
"role": "<string>"
},
"nationality": "<string>"
},
"requirements": {
"guarantor": true
},
"tos_acceptance": true
}
'import requests
url = "https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}"
payload = {
"consumer_user_link": "<string>",
"consumer_user_skipped": True,
"payment_method": "<string>",
"payment_method_waived": True,
"pets": [
{
"age": 123,
"name": "<string>"
}
],
"pre_qualification": {
"affordability": {
"company_name": "<string>",
"gross_annual_salary": 123,
"role": "<string>"
},
"nationality": "<string>"
},
"requirements": { "guarantor": True },
"tos_acceptance": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
consumer_user_link: '<string>',
consumer_user_skipped: true,
payment_method: '<string>',
payment_method_waived: true,
pets: [{age: 123, name: '<string>'}],
pre_qualification: {
affordability: {company_name: '<string>', gross_annual_salary: 123, role: '<string>'},
nationality: '<string>'
},
requirements: {guarantor: true},
tos_acceptance: true
})
};
fetch('https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'consumer_user_link' => '<string>',
'consumer_user_skipped' => true,
'payment_method' => '<string>',
'payment_method_waived' => true,
'pets' => [
[
'age' => 123,
'name' => '<string>'
]
],
'pre_qualification' => [
'affordability' => [
'company_name' => '<string>',
'gross_annual_salary' => 123,
'role' => '<string>'
],
'nationality' => '<string>'
],
'requirements' => [
'guarantor' => true
],
'tos_acceptance' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}"
payload := strings.NewReader("{\n \"consumer_user_link\": \"<string>\",\n \"consumer_user_skipped\": true,\n \"payment_method\": \"<string>\",\n \"payment_method_waived\": true,\n \"pets\": [\n {\n \"age\": 123,\n \"name\": \"<string>\"\n }\n ],\n \"pre_qualification\": {\n \"affordability\": {\n \"company_name\": \"<string>\",\n \"gross_annual_salary\": 123,\n \"role\": \"<string>\"\n },\n \"nationality\": \"<string>\"\n },\n \"requirements\": {\n \"guarantor\": true\n },\n \"tos_acceptance\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"consumer_user_link\": \"<string>\",\n \"consumer_user_skipped\": true,\n \"payment_method\": \"<string>\",\n \"payment_method_waived\": true,\n \"pets\": [\n {\n \"age\": 123,\n \"name\": \"<string>\"\n }\n ],\n \"pre_qualification\": {\n \"affordability\": {\n \"company_name\": \"<string>\",\n \"gross_annual_salary\": 123,\n \"role\": \"<string>\"\n },\n \"nationality\": \"<string>\"\n },\n \"requirements\": {\n \"guarantor\": true\n },\n \"tos_acceptance\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"consumer_user_link\": \"<string>\",\n \"consumer_user_skipped\": true,\n \"payment_method\": \"<string>\",\n \"payment_method_waived\": true,\n \"pets\": [\n {\n \"age\": 123,\n \"name\": \"<string>\"\n }\n ],\n \"pre_qualification\": {\n \"affordability\": {\n \"company_name\": \"<string>\",\n \"gross_annual_salary\": 123,\n \"role\": \"<string>\"\n },\n \"nationality\": \"<string>\"\n },\n \"requirements\": {\n \"guarantor\": true\n },\n \"tos_acceptance\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "application.applicant",
"application": "<string>",
"advance_rent": {
"amount": 123,
"paid": true,
"paid_off_platform": true,
"transaction": "<string>"
},
"currency": "gbp",
"customer": "<string>",
"deposit": {
"amount": 123,
"paid": true,
"paid_off_platform": true,
"transaction": "<string>"
},
"guarantor": "<string>",
"guarantor_contract": "<string>",
"holding_fee": {
"amount": 123,
"paid": true,
"paid_off_platform": true,
"transaction": "<string>"
},
"lead_tenant": true,
"permitted_occupier": true,
"requirements": {
"guarantor": true
},
"share_of_rent": 123,
"status": "<string>",
"tos_acceptance": {
"date": 123,
"ip": "<string>"
},
"verification_session": "<string>",
"verification_session_required": true,
"account": "<string>",
"deleted": false,
"pets": [
{
"age": 123,
"name": "<string>",
"type": "dog"
}
],
"pre_qualification": {
"affordability": {
"company_name": "<string>",
"gross_annual_salary": 123,
"role": "<string>"
},
"nationality": "<string>"
}
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
The applicantId identifier.
Body
The token for the consumer user link.
Whether the consumer user link has been skipped.
The identifier of the payment method to set as the default.
Whether the applicant has acknowledged that no rent payment method is collected. Only permitted when the application collects rent with send_invoice.
The pets of the applicant.
Show child attributes
Show child attributes
The pre-qualification details for the applicant.
Show child attributes
Show child attributes
Applicant requirements updates.
Show child attributes
Show child attributes
Whether the terms of service have been accepted.
Response
Returns the applicant object if the update succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
application.applicant The identifier of the application the applicant belongs to.
^[a-zA-Z0-9_]+$The advance rent details for the applicant.
Show child attributes
Show child attributes
The currency for the applicant.
gbp, usd, eur, sek "gbp"
The customer associated with the applicant.
The deposit details for the applicant.
Show child attributes
Show child attributes
The identifier of the guarantor for the applicant.
The identifier of the guarantor contract for the applicant.
The holding fee details for the applicant.
Show child attributes
Show child attributes
Whether the applicant is the lead tenant.
Whether the applicant is a permitted occupier.
Show child attributes
Show child attributes
The share of rent for the applicant.
The status of the applicant.
The terms of service acceptance details for the applicant.
Show child attributes
Show child attributes
The verification session associated with the applicant.
Whether the applicant is required to complete a verification session.
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
The pets of the applicant.
Show child attributes
Show child attributes
The pre-qualification details for the applicant.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"consumer_user_link": "<string>",
"consumer_user_skipped": true,
"payment_method": "<string>",
"payment_method_waived": true,
"pets": [
{
"age": 123,
"name": "<string>"
}
],
"pre_qualification": {
"affordability": {
"company_name": "<string>",
"gross_annual_salary": 123,
"role": "<string>"
},
"nationality": "<string>"
},
"requirements": {
"guarantor": true
},
"tos_acceptance": true
}
'import requests
url = "https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}"
payload = {
"consumer_user_link": "<string>",
"consumer_user_skipped": True,
"payment_method": "<string>",
"payment_method_waived": True,
"pets": [
{
"age": 123,
"name": "<string>"
}
],
"pre_qualification": {
"affordability": {
"company_name": "<string>",
"gross_annual_salary": 123,
"role": "<string>"
},
"nationality": "<string>"
},
"requirements": { "guarantor": True },
"tos_acceptance": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
consumer_user_link: '<string>',
consumer_user_skipped: true,
payment_method: '<string>',
payment_method_waived: true,
pets: [{age: 123, name: '<string>'}],
pre_qualification: {
affordability: {company_name: '<string>', gross_annual_salary: 123, role: '<string>'},
nationality: '<string>'
},
requirements: {guarantor: true},
tos_acceptance: true
})
};
fetch('https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'consumer_user_link' => '<string>',
'consumer_user_skipped' => true,
'payment_method' => '<string>',
'payment_method_waived' => true,
'pets' => [
[
'age' => 123,
'name' => '<string>'
]
],
'pre_qualification' => [
'affordability' => [
'company_name' => '<string>',
'gross_annual_salary' => 123,
'role' => '<string>'
],
'nationality' => '<string>'
],
'requirements' => [
'guarantor' => true
],
'tos_acceptance' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}"
payload := strings.NewReader("{\n \"consumer_user_link\": \"<string>\",\n \"consumer_user_skipped\": true,\n \"payment_method\": \"<string>\",\n \"payment_method_waived\": true,\n \"pets\": [\n {\n \"age\": 123,\n \"name\": \"<string>\"\n }\n ],\n \"pre_qualification\": {\n \"affordability\": {\n \"company_name\": \"<string>\",\n \"gross_annual_salary\": 123,\n \"role\": \"<string>\"\n },\n \"nationality\": \"<string>\"\n },\n \"requirements\": {\n \"guarantor\": true\n },\n \"tos_acceptance\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"consumer_user_link\": \"<string>\",\n \"consumer_user_skipped\": true,\n \"payment_method\": \"<string>\",\n \"payment_method_waived\": true,\n \"pets\": [\n {\n \"age\": 123,\n \"name\": \"<string>\"\n }\n ],\n \"pre_qualification\": {\n \"affordability\": {\n \"company_name\": \"<string>\",\n \"gross_annual_salary\": 123,\n \"role\": \"<string>\"\n },\n \"nationality\": \"<string>\"\n },\n \"requirements\": {\n \"guarantor\": true\n },\n \"tos_acceptance\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"consumer_user_link\": \"<string>\",\n \"consumer_user_skipped\": true,\n \"payment_method\": \"<string>\",\n \"payment_method_waived\": true,\n \"pets\": [\n {\n \"age\": 123,\n \"name\": \"<string>\"\n }\n ],\n \"pre_qualification\": {\n \"affordability\": {\n \"company_name\": \"<string>\",\n \"gross_annual_salary\": 123,\n \"role\": \"<string>\"\n },\n \"nationality\": \"<string>\"\n },\n \"requirements\": {\n \"guarantor\": true\n },\n \"tos_acceptance\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "application.applicant",
"application": "<string>",
"advance_rent": {
"amount": 123,
"paid": true,
"paid_off_platform": true,
"transaction": "<string>"
},
"currency": "gbp",
"customer": "<string>",
"deposit": {
"amount": 123,
"paid": true,
"paid_off_platform": true,
"transaction": "<string>"
},
"guarantor": "<string>",
"guarantor_contract": "<string>",
"holding_fee": {
"amount": 123,
"paid": true,
"paid_off_platform": true,
"transaction": "<string>"
},
"lead_tenant": true,
"permitted_occupier": true,
"requirements": {
"guarantor": true
},
"share_of_rent": 123,
"status": "<string>",
"tos_acceptance": {
"date": 123,
"ip": "<string>"
},
"verification_session": "<string>",
"verification_session_required": true,
"account": "<string>",
"deleted": false,
"pets": [
{
"age": 123,
"name": "<string>",
"type": "dog"
}
],
"pre_qualification": {
"affordability": {
"company_name": "<string>",
"gross_annual_salary": 123,
"role": "<string>"
},
"nationality": "<string>"
}
}